<?php

/**
Plugin Name: Calendarize It! Events in blogroll
Plugin URI: http://plugins.righthere.com/calendarize-it-events-in-blogroll/
Description: Adds event post types to blogroll
Version: 1.0.3.68373
Author: Alberto Lau (RightHere LLC)
Author URI: http://plugins.righthere.com
 **/

if(defined('RHCEIB_PATH')) throw new Exception( __('A duplicate of this addon/plugin is already active.','rhc') );
 
if(defined('RHCEIB_ADDON_PATH')){
	define('RHCEIB_PATH', trailingslashit(RHC_ADDON_PATH . dirname($addon)) ); 
	define("RHCEIB_URL", trailingslashit(RHC_ADDON_URL . dirname($addon)) );
}else{
	define('RHCEIB_PATH', plugin_dir_path(__FILE__) ); 
	define("RHCEIB_URL", plugin_dir_url(__FILE__) );
} 

class plugin_rhc_events_in_blogroll {
	function plugin_rhc_events_in_blogroll(){
		add_action('plugins_loaded',array(&$this,'plugins_loaded'),9);
	}
	
	function plugins_loaded(){
		global $rhc_plugin;
		
		require_once RHCEIB_PATH.'includes/class.rhceib_frontend.php';
		new rhceib_frontend();
		
		if(is_admin()){
			do_action('rh-php-commons');	
			
			require_once RHCEIB_PATH.'includes/class.rhceib_options.php';
			new rhceib_options('rhc','manage_options',false);
		
		}
	}
}

$rhceib = new plugin_rhc_events_in_blogroll();

?>